from Products.SilvaLayout.browser.silvaview import Content,Container
from Products.Five import BrowserView

#here we need to extend both silvaview.Content and
#silvaview.container so that the extra functionality
# for PUT and HEAD support works

class LegacyViewHelper(object):

    def lookup_and_call(self, view):
        lookedup = getattr(self.context,view)
        return lookedup()
    
    def __call__(self):
        """ look up in hierarcy for index_html
            and then call it"""
        return self.lookup_and_call('index_html')
    
class LegacyContentView(LegacyViewHelper,Content):
    """Render IContent using the legacy zodb-based
       layout mechanism (index_html, content.html,
       layout_macro.html"""
    
class LegacyContainerView(LegacyViewHelper,Container):
    """Render IContainer using the legacy zodb-based
       layout mechanism (index_html, content.html,
       layout_macro.html"""

class LegacyPreviewHelper(LegacyViewHelper):
    def __call__(self):
        """ look up in hierarcy for preview_html
        and then call it"""
        return self.lookup_and_call('preview_html')

class LegacyContentPreview(LegacyPreviewHelper,Content):
    """Render IContent using the legacy zodb-based
       layout mechanism (index_html, content.html,
       layout_macro.html"""
    
class LegacyContainerPreview(LegacyPreviewHelper,Container):
    """Render IContainer using the legacy zodb-based
       layout mechanism (index_html, content.html,
       layout_macro.html"""
